/**
 * customizer.js
 *
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */

( function( $ ) {
	// Site title and description.
	wp.customize( 'blogname', function( value ) {
		value.bind( function( to ) {
			$( '.site-title a' ).text( to );
		} );
	} );
	wp.customize( 'blogdescription', function( value ) {
		value.bind( function( to ) {
			$( '.site-description' ).text( to );
		} );
	} );
	// Header text color.
	wp.customize( 'header_textcolor', function( value ) {
		value.bind( function( to ) {
			if ( 'blank' === to ) {
				$( '.site-title a, .site-description' ).css( {
					'clip': 'rect(1px, 1px, 1px, 1px)',
					'position': 'absolute'
				} );
				$( '.site-title-desc-wrapper' ).css({
					'display': 'none'
				});
			} else {
				$( '.site-title a, .site-description' ).css( {
					'clip': 'auto',
					'position': 'relative'
				} );
				$( '.site-title a, .site-description' ).css( {
					'color': to
				} );
				$( '.site-title-desc-wrapper' ).css({
					'display': 'block'
				});
			}
		} );
	} );

	// Menu Featured Text
	wp.customize( 'menu_featured_text', function( value ) {
		value.bind( function( to ) {
			$( '.widget-profile-title' ).html( to );
		} );
	} );

	// About us link title
	wp.customize( 'front_about_link_text', function( value ) {
		value.bind( function( to ) {
			$( '.about-content-wrapper .about-link a' ).html( to );
		} );
	} );

	
} )( jQuery );
