<?php
/**
 * Define custom fields for widgets
 * 
 * @package Mystery Themes
 * @subpackage FaceBlog
 * @since 1.0.0
 */

function faceblog_widgets_show_widget_field( $instance = '', $widget_field = '', $mt_widget_field_value = '' ) {

    extract( $widget_field );

    switch ( $faceblog_widgets_field_type ) {

        /**
         * Text field
         */
        case 'text' :
        ?>
            <p>
                <span class="field-label"><label for="<?php echo esc_attr( $instance->get_field_id( $faceblog_widgets_name ) ); ?>"><?php echo esc_html( $faceblog_widgets_title ); ?></label></span>
                <input class="widefat" id="<?php echo esc_attr( $instance->get_field_id( $faceblog_widgets_name ) ); ?>" name="<?php echo esc_attr( $instance->get_field_name( $faceblog_widgets_name ) ); ?>" type="text" value="<?php echo esc_html( $mt_widget_field_value ); ?>" />

                <?php if ( isset( $faceblog_widgets_description ) ) { ?>
                    <br />
                    <em><?php echo wp_kses_post( $faceblog_widgets_description ); ?></em>
                <?php } ?>
            </p>
        <?php
            break;

        /**
         * Number field
         */
        case 'number' :
            if( empty( $mt_widget_field_value ) ) {
                $mt_widget_field_value = $faceblog_widgets_default;
            }
        ?>
            <p>
                <label for="<?php echo esc_attr( $instance->get_field_id( $faceblog_widgets_name ) ); ?>"><?php echo esc_html( $faceblog_widgets_title ); ?></label>
                <input name="<?php echo esc_attr( $instance->get_field_name( $faceblog_widgets_name ) ); ?>" type="number" step="1" min="1" id="<?php echo esc_attr( $instance->get_field_id( $faceblog_widgets_name ) ); ?>" value="<?php echo esc_html( $mt_widget_field_value ); ?>" class="small-text" />

                <?php if ( isset( $faceblog_widgets_description ) ) { ?>
                    <br />
                    <em><?php echo wp_kses_post( $faceblog_widgets_description ); ?></em>
                <?php } ?>
            </p>
        <?php
            break;       
    }
}

function faceblog_widgets_updated_field_value( $widget_field, $new_field_value ) {

    extract( $widget_field );
    if ( $faceblog_widgets_field_type == 'number') {
        return intval( $new_field_value );
    } else {
        return strip_tags( $new_field_value );
    }
}